package eliza

type Personality struct {
	Name             string              `json:"name" yaml:"name"`
	Version          string              `json:"version,omitempty" yaml:"version,omitempty"`
	Commands         map[string][]string `json:"commands,omitempty" yaml:"commands,omitempty"`
	Introductions    []string            `json:"introductions,omitempty" yaml:"introductions,omitempty"`
	Goodbyes         []string            `json:"goodbyes,omitempty" yaml:"goodbyes,omitempty"`
	Psychobabble     map[string][]string `json:"psychobabble,omitempty" yaml:"psychobabble,omitempty"`
	DefaultResponses []string            `json:"defaultresponses,omitempty" yaml:"defaultresponses,omitempty"`
	QuitResponses    []string            `json:"quitresponses,omitempty" yaml:"quitresponses,omitempty"`
	ReflectedWords   map[string]string   `json:"reflectedwords,omitempty" yaml:"reflectedwords,omitempty"`
}
